# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global sum	A 3D, first-person game of blowing up asteroids

Name:		asteroids3D
Summary:	%{sum}
Version:	1.0
Release:	alt1_1
License:	GPLv2+
Group:		Games/Arcade
Source:		https://inai.de/files/asteroids3D/%{name}-%{version}.tar.xz
URL:		https://inai.de/projects/asteroids3D/
BuildRequires:	libfreeglut-devel libGL-devel libGLU-devel libGLES-devel
Source44: import.info

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure --with-gamesdir=%{_gamesbindir} --with-gamedatadir=%{_gamesdatadir}/%{name}
%make_build

%install
%makeinstall_std gamesdir=%{_gamesbindir} gamedatadir=%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;
Name=Asteroids3D
Comment=%{sum}
EOF

%files
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}


%changelog
* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 1.0-alt1_1
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.5.1-alt1_12
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_11
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_8
- update by mgaimport

* Mon Jun 13 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_7
- converted for ALT Linux by srpmconvert tools

